Subject: Medicinal Plant Biochemistry

From: [email-masked] (Viv)
Date: 3 Jan 1995 16:14:40 -0500

Greetings! My name is Liz Brown and I'm interested in going to Grad School
in the area of Medicinal Plant Biochemistry. My problem is that I don't
know which schools have programs in this area. I was hoping that perhaps
some of you people could give me some suggestions. Please e-mail me, instead
of posting to this group, because I don't always have time to read it.
Thanks in advance!

[email-masked]
liz